Bug 1039776 - Email template link to zanata log broken
Email template link to zanata log broken
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity low
: ---
: 3.3
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-09 19:35 EST by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20131223-0915)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-12-09 19:35:04 EST
Description of problem:
Emails contain a link to zanata.org in the footer. The icon has a src link to http://zanata.org/images/z-logo-16px.png which appears to no longer exist.

Version-Release number of selected component (if applicable):
dev

Steps to Reproduce:
1. Login as admin
2. Go to Help, Contact Admin
3. Enter message and press Send
4. View received email and check footer
Comment 3 Alex Eng 2013-12-11 23:41:24 EST
Pull request:
https://github.com/zanata/zanata-server/pull/320
Comment 4 Ding-Yi Chen 2013-12-12 19:55:31 EST
Tested with Zanata version 3.3.0-SNAPSHOT (20131206-0037)
The link of mentioned png still exists.

I suggest we remove that link, as it is quite likely that the email client disable the image display.

Reassigned.
Comment 5 Alex Eng 2013-12-12 19:59:22 EST
Ding-Yi Chen, 

The build you tested on is back dated to Dec 6. I've only apply the fix on Dec 12.
Comment 6 Damian Jansen 2013-12-12 22:25:35 EST
Ding-Yi Chen - "quite likely that the email client disable the image display" is not really a strong enough reason to disable that image.
Comment 7 Ding-Yi Chen 2013-12-15 19:41:02 EST
(In reply to Damian Jansen from comment #6)
> Ding-Yi Chen - "quite likely that the email client disable the image
> display" is not really a strong enough reason to disable that image.

Then it comes to two questions:
1. Is that image important to user?
2. Will user turn on the image display for the email from zanata?

The image just an icon, nothing more. 
The icon is not related to any actual function, and it is unlikely that user turn on the image display just to see some icon.

Most user are not going to see it anyway, so any strong reason to keep it there?
Comment 8 Luke Brooker 2013-12-15 19:57:56 EST
I should probably do an audit of all the emails we send and depending on the context and content do either a totally plain text email or a custom formatted html email that works for the situation. What was this email related to exactly?
Comment 9 Ding-Yi Chen 2013-12-18 00:36:46 EST
Given or message editor is capable of editing styles. I suppose we do the custom formatted html first.

The plain text email should be in separate RFE.
Comment 10 Damian Jansen 2013-12-22 21:17:37 EST
Verified at cd51a1620e283882a8eb26cd862314b48af67617
Comment 11 Sean Flanigan 2014-03-20 01:47:30 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.